Skip to main content
`Ctrl`+`K`

# TSRKSetMultirate

Use the interpolation-based multirate `TSRK` method

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKSetMultirate(TS ts, PetscBool use_multirate)

Logically Collective

## Input Parameters

- ts - timestepping context

- use_multirate - `PETSC_TRUE` enables the multirate `TSRK` method, sets the basic method to be `TSRK2A` and sets the ratio between slow stepsize and fast stepsize to be 2

## Options Database Key

- -ts_rk_multirate (true|false) - enable the multirate RK method

## Note

The multirate method requires interpolation. The default interpolation works for 1st- and 2nd- order RK, but not for high-order RKs except `TSRK5DP` which comes with the interpolation coefficients (binterp).

## See Also

TS: Scalable ODE and DAE Solvers, `TSRK`, `TSRKGetMultirate()`

## Level

intermediate

## Location

src/ts/impls/explicit/rk/rk.c

## Implementations

TSRKSetMultirate_RK() in src/ts/impls/explicit/rk/mrk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages